View Issue Details

IDProjectCategoryView StatusLast Update
0031196FPCPackagespublic2017-01-28 17:23
ReporterAndrey ZubarevAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031196: fcl-passrc fails to use keywords in other roles
DescriptionGot "Syntax error at token "helper"" on this:

procedure xxx;
var
  Helper: TMyType;
begin
end;
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-01-28 13:52

administrator   ~0097761

Fixed in an earlier iteration.

Andrey Zubarev

2017-01-28 17:23

reporter   ~0097767

Thanks!

Issue History

Date Modified Username Field Change
2017-01-05 23:53 Andrey Zubarev New Issue
2017-01-06 08:50 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-01-06 08:50 Michael Van Canneyt Status new => assigned
2017-01-28 13:52 Michael Van Canneyt Note Added: 0097761
2017-01-28 13:52 Michael Van Canneyt Status assigned => resolved
2017-01-28 13:52 Michael Van Canneyt Fixed in Version => 3.1.1
2017-01-28 13:52 Michael Van Canneyt Resolution open => fixed
2017-01-28 13:52 Michael Van Canneyt Target Version => 3.2.0
2017-01-28 17:23 Andrey Zubarev Note Added: 0097767
2017-01-28 17:23 Andrey Zubarev Status resolved => closed